> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/62.-mutacion-compartir-fincas.md).

# 62. Mutación: Compartir fincas

Compartir lotes de fincas con usuarios dentro de la "Organización" o con usuarios externos. Hay dos casos para aplicar la mutación. El primer caso es el compartir por lotes la "Finca" mediante una lista de correos electrónicos.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutación ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    name
    farmOwnership
    fechaCreacion
    updatedDate
    correo electrónico
  }
}

```

{% endcode %}

Y el segundo caso es establecer la bandera ‘allFarms=true’ para la lista de "Usuarios" en la "Organización", lo que significa que todas las nuevas fincas dentro de la "Organización" serán accesibles para esos "Usuarios".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutación ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    name
    farmOwnership
    fechaCreacion
    updatedDate
    correo electrónico
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/62.-mutacion-compartir-fincas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
